<?php
/**
 * Skin
**/

if ( ! function_exists( 'samantha_skin' ) ) {

function samantha_skin() {
	/*colors options*/
	$accent_color1 = get_field( 'accent_color1', 'option' );
	$accent_color2 = get_field( 'accent_color2', 'option' );
	$text_color1 = get_field( 'text_color1', 'option' );
	$text_color2 = get_field( 'text_color2', 'option' );
	$text_color3 = get_field( 'text_color3', 'option' );
	$light_bg_color1 = get_field( 'light_bg_color1', 'option' );
	$light_bg_color2 = get_field( 'light_bg_color2', 'option' );
	$dark_bg_color1 = get_field( 'dark_bg_color1', 'option' );

	/*typography options*/
	$text_font_size = get_field( 'text_font_size', 'option' );
	$text_font_weight = get_field( 'text_font_weight', 'option' );
	$text_font_family = get_field( 'text_font_family', 'option' );
	$text_letter_spacing = get_field( 'text_letter_spacing', 'option' );

	$heading1_font_size = get_field( 'heading1_font_size', 'option' );
	$heading1_font_weight = get_field( 'heading1_font_weight', 'option' );
	$heading1_font_family = get_field( 'heading1_font_family', 'option' );
	$heading1_letter_spacing = get_field( 'heading1_letter_spacing', 'option' );

	$heading2_font_size = get_field( 'heading2_font_size', 'option' );
	$heading2_font_weight = get_field( 'heading2_font_weight', 'option' );
	$heading2_font_family = get_field( 'heading2_font_family', 'option' );
	$heading2_letter_spacing = get_field( 'heading2_letter_spacing', 'option' );

	$heading3_font_size = get_field( 'heading3_font_size', 'option' );
	$heading3_font_weight = get_field( 'heading3_font_weight', 'option' );
	$heading3_font_family = get_field( 'heading3_font_family', 'option' );
	$heading3_letter_spacing = get_field( 'heading3_letter_spacing', 'option' );

	$heading4_font_size = get_field( 'heading4_font_size', 'option' );
	$heading4_font_weight = get_field( 'heading4_font_weight', 'option' );
	$heading4_font_family = get_field( 'heading4_font_family', 'option' );
	$heading4_letter_spacing = get_field( 'heading4_letter_spacing', 'option' );

	$heading5_font_size = get_field( 'heading5_font_size', 'option' );
	$heading5_font_weight = get_field( 'heading5_font_weight', 'option' );
	$heading5_font_family = get_field( 'heading5_font_family', 'option' );
	$heading5_letter_spacing = get_field( 'heading5_letter_spacing', 'option' );

	$heading6_font_size = get_field( 'heading6_font_size', 'option' );
	$heading6_font_weight = get_field( 'heading6_font_weight', 'option' );
	$heading6_font_family = get_field( 'heading6_font_family', 'option' );
	$heading6_letter_spacing = get_field( 'heading6_letter_spacing', 'option' );

	$menu_font_size = get_field( 'menu_font_size', 'option' );
	$menu_font_weight = get_field( 'menu_font_weight', 'option' );
	$menu_font_family = get_field( 'menu_font_family', 'option' );
	$menu_letter_spacing = get_field( 'menu_letter_spacing', 'option' );
	$menu_transform = get_field( 'menu_transform', 'option' );

	$menu2_font_size = get_field( 'menu2_font_size', 'option' );
	$menu2_font_weight = get_field( 'menu2_font_weight', 'option' );
	$menu2_font_family = get_field( 'menu2_font_family', 'option' );
	$menu2_letter_spacing = get_field( 'menu2_letter_spacing', 'option' );
	$menu2_transform = get_field( 'menu2_transform', 'option' );

	/*buttons options*/
	$btn_text_color = get_field( 'btn_text_color', 'option' );
	$btn_bg_color = get_field( 'btn_bg_color', 'option' );
	$btn_bghover_color = get_field( 'btn_bghover_color', 'option' );
	$btn_font_size = get_field( 'btn_font_size', 'option' );
	$btn_font_weight = get_field( 'btn_font_weight', 'option' );
	$btn_font_family = get_field( 'btn_font_family', 'option' );
	$btn_letter_spacing = get_field( 'btn_letter_spacing', 'option' );
	$btn_transform = get_field( 'btn_transform', 'option' );
	$btn_border_radius = get_field( 'btn_border_radius', 'option' );
	$btn_padding_top = get_field( 'btn_padding_top', 'option' );
	$btn_padding_bottom = get_field( 'btn_padding_bottom', 'option' );
	$btn_padding_left = get_field( 'btn_padding_left', 'option' );
	$btn_padding_right = get_field( 'btn_padding_right', 'option' );
	$btn_alt_color = get_field( 'btn_alt_color', 'option' );
	$btn_alt_bghovercolor = get_field( 'btn_alt_bghovercolor', 'option' );
	$btn_alt_hovercolor = get_field( 'btn_alt_hovercolor', 'option' );

	/*breadcrumbs options*/
	$brc_text_color1 = get_field( 'brc_text_color1', 'option' );
	$brc_text_color2 = get_field( 'brc_text_color2', 'option' );
	$brc_sep_color = get_field( 'brc_sep_color', 'option' );
	$brc_font_size = get_field( 'brc_font_size', 'option' );
	$brc_font_weight = get_field( 'brc_font_weight', 'option' );
	$brc_font_family = get_field( 'brc_font_family', 'option' );
	$brc_letter_spacing = get_field( 'brc_letter_spacing', 'option' );

	/*preloader options*/
	$preloader = get_field( 'preloader', 'option' );
	$prl_bgcolor = get_field( 'prl_bgcolor', 'option' );
	$prl_txt_color = get_field( 'prl_txt_color', 'option' );
	$prl_spn_color = get_field( 'prl_spn_color', 'option' );
	$prl_font_size = get_field( 'prl_font_size', 'option' );
	$prl_font_weight = get_field( 'prl_font_weight', 'option' );
	$prl_font_family = get_field( 'prl_font_family', 'option' );
	$prl_letter_spacing = get_field( 'prl_letter_spacing', 'option' );
	$prl_text_transform = get_field( 'prl_text_transform', 'option' );
?>

<style>
	/*Begin Colors Options*/
	<?php if ( ! empty( $accent_color1 ) ) : ?>
	ul.funfact li h2,
	ul.Menu-br li a:hover,
	.checkbox-Website input[type=checkbox]:checked + label:before,
	.checkbox-Website input[type=checkbox]:checked + span:before,
	.data-to h6,.crumbs i,.about-card-1 h2,.years span.period,
	.blog-one .title-blog h3 > a:hover,a.button.back,
	a.button.back i,.pricing-table span,.workout-time h6,
	.subscribe-to h3,.hana-evans ul.social-icons li a:hover,
	.previou a:hover,.mobile-nav > ul li > a:hover, 
	a:hover,
	ul.social-icons li a:hover,
	.social-share a:hover, 
	.social-share a:hover .icon,
	.wp-block-button.is-style-outline a.wp-block-button__link
	{
		color: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	ul.Contacts.cantrol svg
	{
		fill: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	span.dot,
	.scroll-top-btn,
	.table-data,
	.background-object:before,
	.yourself,
	.blog-detai:before,
	.meeting-data:hover .meeting-tim h3,
	.apointment-one.two .apointment:after,
	.progress-status .tooltip,
	.photos:before,
	.number .number-one > span,
	.pricing-table-img:after,
	ul.fast li h6:before,
	a.button.back:before,
	.fast ul li:before,
	.photo-section.about a:hover i,
	.young:after,
	.button:after,
	button.button:after,
	a.button:after,
	.btn:after,
	button.btn:after,
	a.btn:after,
	.photo-section:before,
	.slider-img span,
	.Contacts .icon,
	.duis a:hover i,
	.nice-select .option:hover,
	.nice-select .option.focus,
	.nice-select .option.selected.focus,
	.about-section-photo:before,
	.duis:before,
	ul.list li h6:before,
	ul.list li h4:before,
	.years h6:after,
	.years h6:before,
	.photo.owl-theme .owl-dots .owl-dot.active span,
	.photo.owl-theme .owl-dots .owl-dot:hover span,
	.progress-status,
	.other-workouts-Sections:before,
	.page-loader,
	.img-girl:before,
	.loop-slider.owl-theme .owl-nav [class*=owl-]:hover, 
	.weight-scale-range,
	.weight-scale-line .line-areas .line-area-1,
	.weight-scale-line .line-areas .line-area-1 .line-tooltip,
	.menu-bar nav ul li:hover > ul,
	.loop-slider.owl-theme .owl-dots .owl-dot.active span,
	.loop-slider.owl-theme .owl-dots .owl-dot:hover span,
	.menu-cls-btn:hover .cls-leftright,
	.menu-cls-btn:hover .cls-leftright, .menu-cls-btn:hover .cls-rightleft,
	.weekdays-day:hover, .weekdays-list .weekday-selected,
	.mobile-nav .res-cross:hover .cls-leftright,
	.mobile-nav .res-cross:hover .cls-leftright,
	.mobile-nav .res-cross:hover .cls-rightleft,
	.widget-area .widget_search input.search-submit,
	.wp-block-search .wp-block-search__button,
	.post-text-bottom .tags-links a,
	.wp-block-tag-cloud .tag-cloud-link,
	.widget-area .widget_tag_cloud .tag-cloud-link,
	.widget-area td#today,
	span.logotype__title:after,
	.sticky:before,
	.post-text-bottom .cat-links a:after,
	.wp-block-button a.wp-block-button__link,
	.post-password-form input[type="submit"],
	.smth-pagination a.page-numbers:after,
	.smth-pagination span.page-numbers:after,
	.pagination a.page-numbers:after,
	.pagination span.page-numbers:after,
	.page-links a.post-page-numbers:after,
	.page-links span.post-page-numbers:after,
	.smth-pagination a.page-numbers.current,
	.smth-pagination span.page-numbers.current,
	.pagination a.page-numbers.current,
	.pagination span.page-numbers.current,
	.page-links a.post-page-numbers.current,
	.page-links span.post-page-numbers.current,
	#female:checked ~ .tabs #one-tab, 
	#male:checked ~ .tabs #two-tab,
	.button.calculate:before, 
	button.button.calculate:before, 
	a.button.calculate:before, 
	.btn.calculate:before, 
	button.btn.calculate:before, 
	a.btn.calculate:before
	{
		background-color: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	.cards h4 a,
	ul.social-icons li a:hover,
	.blog-img > span span,
	a.button.back:after,
	.card-img-hover a,
	.card-img.benefits,
	.health-style a span,
	.blog-img-details span,
	.hana-evans ul.social-icons li a:hover,
	.wp-block-button.is-style-outline a.wp-block-button__link,
	.tab,
	#female:checked ~ .tabs #one-tab, 
	#male:checked ~ .tabs #two-tab
	{
		border-color: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	.weight-scale-line .line-areas .line-area-1 .line-tooltip::before,
	.progress-status .tooltip:after
	{
		border-top-color: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	.wp-block-pullquote blockquote
	{
		border-bottom-color: <?php echo esc_attr( $accent_color1 ); ?>;
	}
	.post-text-bottom .shared-counts-wrap.style-icon .shared-counts-button:hover svg
	{
		fill: <?php echo esc_attr( $accent_color1 ); ?> !important;
	}
	<?php endif; ?>
	<?php if ( ! empty( $accent_color2 ) ) : ?>
	.menu-bar nav ul li ul li:not(:last-child):before 
	{
		background-color: <?php echo esc_attr( $accent_color2 ); ?>;
	}
	.young h2 
	{
		color: <?php echo esc_attr( $accent_color2 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $text_color1 ) ) : ?>
	a,
	a:not([href]):not([class]), 
	a:not([href]):not([class]):hover,
	.h1,
	.h2,
	.h3,
	.h4,
	.h5,
	.h6,
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	.menu-bar nav a,
	.menu-bar nav ul li ul li a:hover,
	.menu-bar nav ul li ul li a,
	.menu-bar nav ul li a:hover,
	.build h2,
	.heading h3,
	.duis p,
	.program-img h4 a:hover,
	.tab,
	#female:checked ~ .tabs #one-tab, 
	#male:checked ~ .tabs #two-tab,
	.nice-select,
	.weight-scale-lose ul li p,
	.weight-scale-range p,
	.weight-scale-line .line-areas .line-tooltip,
	.Post-1 a:hover,
	.Post-details h4,
	.blockquote > p,
	.blockquote > div > p,
	.Contacts .icon,
	.nice-select .option,
	.data-to h6 span.month,
	.crumbs a,
	.content h2,
	.title-blog a:hover,
	a.button.back:hover,
	a.button.back:hover i,
	.workout-time span.month,
	.number-one:hover span,
	.form-apointment .nice-select.Advice,
	.weekdays-day:hover, 
	.weekdays-list .weekday-selected,
	.join-meeting a.join,
	.join-meeting a.join,
	.meeting-data:hover .meeting-tim h3,
	.hana-evans ul.social-icons li a,
	.comment-data h6,
	.page-loader .txt,
	.for #nav-icon4,
	.logo-icon a, 
	.logo-icon a:hover,
	.post-text-bottom .cat-links a,
	.post-text-bottom .cat-links a:hover
	{
		color: <?php echo esc_attr( $text_color1 ); ?>;
	}
	.button:before,
	button.button:before,
	a.button:before,
	.btn:before,
	button.btn:before,
	a.btn:before,
	.cards h4 a:hover,
	a.button.calculate:after,
	.Post-1 > span,
	.cls-leftright,
	.cls-rightleft,
	.blog-img > span span,
	.blog-img > span.two span,
	.card-img-hover a,
	.content > h6,
	.number-one h4 a:hover,
	.call-to-action.quote .young h3,
	.meeting-tim h3,
	.health-style a span,
	.details-data th,
	.blog-img-details span,
	.comment-reply > a,
	.table-one th,
	.range-sliders input[type="range"].range-slider-red,
	.range-sliders input[type="range"].range-slider-red::-webkit-slider-thumb,
	.range-sliders input[type="range"].range-slider-red::-moz-range-thumb,
	.range-sliders input[type="range"],
	.time-girl h4,
	.scroll-top-btn:hover,
	.dpn-zvc-single-content-wrapper .dpn-zvc-sidebar-wrapper .dpn-zvc-timer .dpn-zvc-timer-cell
	{
		background-color: <?php echo esc_attr( $text_color1 ); ?>;
	}
	.extras .menu-start svg,
	.post-text-bottom .shared-counts-wrap.style-icon .shared-counts-button .shared-counts-icon svg
	{
		fill: <?php echo esc_attr( $text_color1 ); ?>;
	}
	.line
	{
		stroke: <?php echo esc_attr( $text_color1 ); ?>;
	}
	ul.list li h6:before,
	ul.list li h4:before,
	ul.fast li h6:before, 
	.fast ul li:before,
	.hana-evans ul.social-icons li a
	{
		border-color: <?php echo esc_attr( $text_color1 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $text_color2 ) ) : ?>
	p,
	.points1 h6,
	.points1 h6,
	ul.funfact li p,
	.weight-scale-line .line-areas .line-label,
	.Menu .title,
	ul.Privacy li a
	{
		color: <?php echo esc_attr( $text_color2 ); ?>;
	}
	ul.funfact li:not(:last-child):before,
	.data-to h6:before
	{
		background-color: <?php echo esc_attr( $text_color2 ); ?>;
	}
	.footer-title
	{
		border-bottom-color: <?php echo esc_attr( $text_color2 ); ?>;
	}
	.bottom-section > .elementor-container 
	{
		border-top-color: <?php echo esc_attr( $text_color2 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $text_color3 ) ) : ?>
	.panels input::placeholder,
	.weight-scale-preview p,
	.weight-scale-daily p,
	.weight-scale-lose ul li small,
	.Post-1 h6,
	.Post-1 .h6,
	.Post-details span,
	.nice-select,
	.content .crumbs span,
	.Post-details.blog i,
	.blockquot > span,
	.subscribe-to input[type="text"],
	.subscribe-to input[type="email"],
	.subscribe-to input[type="tel"],
	.subscribe-to input[type=checkbox] + label,
	.subscribe-to .checkbox-Website input[type=checkbox] + span,
	.subscribe-to input[type="text"]::placeholder,
	.subscribe-to input[type="email"]::placeholder,
	.subscribe-to input[type="tel"]::placeholder,
	.content > span,
	.hero-contact textarea,
	.meeting-tim h6,
	.join-meeting span,
	.details-data > h6,
	.details-data > .h6,
	.details-data h6.one,
	.comment-data span,
	.comment-text textarea,
	.about-form.comment-text h6,
	.range-sliders .range-slider-group .range-label
	{
		color: <?php echo esc_attr( $text_color3 ); ?>;
	}
	.panels input,
	.nice-select,
	.nice-select,
	.subscribe-to input[type="text"],
	.subscribe-to input[type="email"],
	.subscribe-to input[type="tel"],
	.subscribe-to input[type=checkbox] + label:before,
	.subscribe-to .checkbox-Website input[type=checkbox] + span:before,
	.hana-evans,
	.table-one td
	{
		border-color: <?php echo esc_attr( $text_color3 ); ?>;
	}
	.weekdays-list .weekdays-day
	{
		background-color: <?php echo esc_attr( $text_color3 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $light_bg_color1 ) ) : ?>
	.description p,
	.background-title p,
	.weekdays-list .weekdays-day
	{
		color: <?php echo esc_attr( $light_bg_color1 ); ?>;
	}
	.workout-time h6:before,
	.wrapper-progress-bar,
	.cm-kg h5
	{
		background-color: <?php echo esc_attr( $light_bg_color1 ); ?>;
	}
	.weight-scale,
	.bmi-calculator .weight-scale-lose ul li,
	.about-form input[type="text"],
	.about-form input[type="email"],
	.about-form input[type="tel"],
	.hero-contact textarea,
	.details-data td,
	li.first p,
	li.second p,
	.comment-text textarea,
	.range-sliders .range-slider-group .input-slider,
	.single-post-text input[type="text"],
	.single-post-text input[type="email"],
	.single-post-text input[type="password"],
	.single-post-text input[type="tel"],
	.single-post-text textarea
	{
		border-color: <?php echo esc_attr( $light_bg_color1 ); ?>;
	}
	.slider-na
	{
		border-top-color: <?php echo esc_attr( $light_bg_color1 ); ?>;
	}
	.weight-scale-lose ul li
	{
		border-bottom-color: <?php echo esc_attr( $light_bg_color1 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $light_bg_color2 ) ) : ?>
	.comment-data-title p {
		background-color: <?php echo esc_attr( $light_bg_color2 ); ?>;
	}
	.photos h2 {
		color: <?php echo esc_attr( $light_bg_color2 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $dark_bg_color1 ) ) : ?>
	.calculator-section, 
	footer.one,
	.call-to-action:before,
	.progress-bar-img:before,
	.subscribe .container:before,
	.mobile-nav,
	#mobile-nav.hmburger-menu,
	{
		background-color: <?php echo esc_attr( $dark_bg_color1 ); ?>;
	}
	<?php endif; ?>
	/*End Colors Options*/

	/*Begin Typography Options*/
	<?php if ( ! empty( $text_font_size ) ) : ?>
	body,
	p,
	.Post-1 > h4,
	.hambur > p,
	ul.list li h4,
	.fast ul li,
	.progress-status .tooltip p,
	.single-post-text,
	.dpn-zvc-single-content-wrapper .dpn-zvc-sidebar-wrapper .dpn-zvc-sidebar-content {
		font-size: <?php echo esc_attr( $text_font_size ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $text_font_weight ) ) : ?>
	body,
	p,
	.Post-1 > h4,
	.hambur > p,
	ul.list li h4,
	.fast ul li,
	.progress-status .tooltip p,
	.single-post-text,
	.dpn-zvc-single-content-wrapper .dpn-zvc-sidebar-wrapper .dpn-zvc-sidebar-content {
		font-weight: <?php echo esc_attr( $text_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $text_letter_spacing ) && $text_letter_spacing != '' ) : ?>
	body,
	p,
	.Post-1 > h4,
	.hambur > p,
	ul.list li h4,
	.fast ul li,
	.progress-status .tooltip p,
	.single-post-text,
	.dpn-zvc-single-content-wrapper .dpn-zvc-sidebar-wrapper .dpn-zvc-sidebar-content {
		letter-spacing: <?php echo esc_attr( $text_letter_spacing ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $text_font_family ) ) : ?>
	body,
	p,
	.Post-1 > h4,
	.hambur > p,
	ul.list li h4,
	.fast ul li,
	.progress-status .tooltip p,
	.single-post-text,
	.dpn-zvc-single-content-wrapper .dpn-zvc-sidebar-wrapper .dpn-zvc-sidebar-content {
		font-family: '<?php echo esc_attr( $text_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>

	<?php if ( ! empty( $heading1_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h1, h1, .single-post-text h1 {
			font-size: <?php echo esc_attr( $heading1_font_size ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading1_font_weight ) ) : ?>
	.h1, h1, .single-post-text h1 {
		font-weight: <?php echo esc_attr( $heading1_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading1_letter_spacing ) && $heading1_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h1, h1, .single-post-text h1 {
			letter-spacing: <?php echo esc_attr( $heading1_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading1_font_family ) ) : ?>
	.h1, h1, .single-post-text h1 {
		font-family: '<?php echo esc_attr( $heading1_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading2_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h2, h2, .single-post-text h2 {
			font-size: <?php echo esc_attr( $heading2_font_size ); ?>px;
			line-height: 1.2;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading2_font_weight ) ) : ?>
	.h2, h2, .single-post-text h2 {
		font-weight: <?php echo esc_attr( $heading2_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading2_letter_spacing ) && $heading2_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h2, h2, .single-post-text h2 {
			letter-spacing: <?php echo esc_attr( $heading2_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading2_font_family ) ) : ?>
	.h2, h2, .single-post-text h2 {
		font-family: '<?php echo esc_attr( $heading2_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading3_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h3, h3, .single-post-text h3 {
			font-size: <?php echo esc_attr( $heading3_font_size ); ?>px;
			line-height: 1.28;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading3_font_weight ) ) : ?>
	.h3, h3, .single-post-text h3 {
		font-weight: <?php echo esc_attr( $heading3_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading3_letter_spacing ) && $heading3_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h3, h3, .single-post-text h3 {
			letter-spacing: <?php echo esc_attr( $heading3_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading3_font_family ) ) : ?>
	.h3, h3, .single-post-text h3 {
		font-family: '<?php echo esc_attr( $heading3_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading4_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h4, h4, .single-post-text h4 {
			font-size: <?php echo esc_attr( $heading4_font_size ); ?>px;
			line-height: 1.41;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading4_font_weight ) ) : ?>
	.h4, h4, .single-post-text h4 {
		font-weight: <?php echo esc_attr( $heading4_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading4_letter_spacing ) && $heading4_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h4, h4, .single-post-text h4 {
			letter-spacing: <?php echo esc_attr( $heading4_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading4_font_family ) ) : ?>
	.h4, h4, .single-post-text h4 {
		font-family: '<?php echo esc_attr( $heading4_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading5_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h5, h5, .single-post-text h5 {
			font-size: <?php echo esc_attr( $heading5_font_size ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading5_font_weight ) ) : ?>
	.h5, h5, .single-post-text h5 {
		font-weight: <?php echo esc_attr( $heading5_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading5_letter_spacing ) && $heading5_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h5, h5, .single-post-text h5 {
			letter-spacing: <?php echo esc_attr( $heading5_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading5_font_family ) ) : ?>
	.h5, h5, .single-post-text h5 {
		font-family: '<?php echo esc_attr( $heading5_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading6_font_size ) ) : ?>
	@media (min-width: 993px) {
		.h6, h6, .single-post-text h6 {
			font-size: <?php echo esc_attr( $heading6_font_size ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading6_font_weight ) ) : ?>
	.h6, h6, .single-post-text h6 {
		font-weight: <?php echo esc_attr( $heading6_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $heading6_letter_spacing ) && $heading6_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.h6, h6, .single-post-text h6 {
			letter-spacing: <?php echo esc_attr( $heading6_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $heading6_font_family ) ) : ?>
	.h6, h6, .single-post-text h6 {
		font-family: '<?php echo esc_attr( $heading6_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>

	<?php if ( ! empty( $menu_font_size ) ) : ?>
	@media (max-width: 500px) {
		.mobile-nav > ul li > a {
			font-size: <?php echo esc_attr( $menu_font_size ); ?>px;
			line-height: 1.5;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu_font_weight ) ) : ?>
	.mobile-nav > ul li > a {
		font-weight: <?php echo esc_attr( $menu_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $menu_letter_spacing ) && $menu_letter_spacing != '' ) : ?>
	.mobile-nav > ul li > a {
		letter-spacing: <?php echo esc_attr( $menu_letter_spacing ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu_font_family ) ) : ?>
	.mobile-nav > ul li > a {
		font-family: '<?php echo esc_attr( $menu_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu_transform ) ) : ?>
	.mobile-nav > ul li > a {
		text-transform: <?php echo esc_attr( $menu_transform ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu2_font_size ) ) : ?>
	@media (max-width: 500px) {
		.mobile-nav > ul ul li > a {
			font-size: <?php echo esc_attr( $menu2_font_size ); ?>px;
			line-height: 1.5;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu2_font_weight ) ) : ?>
	.mobile-nav > ul ul li > a {
		font-weight: <?php echo esc_attr( $menu2_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( isset( $menu2_letter_spacing ) && $menu2_letter_spacing != '' ) : ?>
	.mobile-nav > ul ul li > a {
		letter-spacing: <?php echo esc_attr( $menu2_letter_spacing ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu2_font_family ) ) : ?>
	.mobile-nav > ul ul li > a {
		font-family: '<?php echo esc_attr( $menu2_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $menu2_transform ) ) : ?>
	.mobile-nav > ul ul li > a {
		text-transform: <?php echo esc_attr( $menu2_transform ); ?>;
	}
	<?php endif; ?>
	/*End Typography Options*/

	/*Begin Buttons Options*/
	<?php if ( ! empty( $btn_text_color ) ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		color: <?php echo esc_attr( $btn_text_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_bg_color ) ) : ?>
	.button:after, 
	button.button:after, 
	a.button:after, 
	.btn:after, 
	button.btn:after, 
	a.btn:after {
		background-color: <?php echo esc_attr( $btn_bg_color ); ?>;
	}
	.button.calculate:before, 
	button.button.calculate:before, 
	a.button.calculate:before, 
	.btn.calculate:before, 
	button.btn.calculate:before, 
	a.btn.calculate:before {
		background-color: <?php echo esc_attr( $btn_bg_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_bghover_color ) ) : ?>
	.button:before, 
	button.button:before, 
	a.button:before, 
	.btn:before, 
	button.btn:before, 
	a.btn:before {
		background-color: <?php echo esc_attr( $btn_bghover_color ); ?>;
	}
	.button.calculate:after, 
	button.button.calculate:after, 
	a.button.calculate:after, 
	.btn.calculate:after, 
	button.btn.calculate:after, 
	a.btn.calculate:after {
		background-color: <?php echo esc_attr( $btn_bg_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_font_size ) ) : ?>
	@media (min-width: 993px) {
		.button, 
		button.button, 
		a.button, 
		.btn, 
		button.btn, 
		a.btn {
			font-size: <?php echo esc_attr( $btn_font_size ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_font_weight ) ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		font-weight: <?php echo esc_attr( $btn_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_font_family ) ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		font-family: '<?php echo esc_attr( $btn_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( isset( $btn_letter_spacing ) && $btn_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.button, 
		button.button, 
		a.button, 
		.btn, 
		button.btn, 
		a.btn {
			letter-spacing: <?php echo esc_attr( $btn_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( isset( $btn_border_radius ) & $btn_border_radius != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		border-radius: <?php echo esc_attr( $btn_border_radius ); ?>px;
	}
	<?php endif; ?>
	<?php if ( isset( $btn_padding_top ) & $btn_padding_top != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		padding-top: <?php echo esc_attr( $btn_padding_top ); ?>px;
	}
	<?php endif; ?>
	<?php if ( isset( $btn_padding_bottom ) & $btn_padding_bottom != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		padding-bottom: <?php echo esc_attr( $btn_padding_bottom ); ?>px;
	}
	<?php endif; ?>
	<?php if ( isset( $btn_padding_left ) & $btn_padding_left != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		padding-left: <?php echo esc_attr( $btn_padding_left ); ?>px;
	}
	<?php endif; ?>
	<?php if ( isset( $btn_padding_right ) & $btn_padding_right != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		padding-right: <?php echo esc_attr( $btn_padding_right ); ?>px;
	}
	<?php endif; ?>
	<?php if ( isset( $btn_transform ) & $btn_transform != '' ) : ?>
	.button, 
	button.button, 
	a.button, 
	.btn, 
	button.btn, 
	a.btn {
		text-transform: <?php echo esc_attr( $btn_transform ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_alt_color ) ) : ?>
	.button.back, 
	button.button.back, 
	a.button.back, 
	.btn.back, 
	button.btn.back, 
	a.btn.back {
		color: <?php echo esc_attr( $btn_alt_color ); ?>;
	}
	.button.back:after, 
	button.button.back:after, 
	a.button.back:after, 
	.btn.back:after, 
	button.btn.back:after, 
	a.btn.back:after {
		background-color: transparent;
		border-color: <?php echo esc_attr( $btn_alt_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_alt_bghovercolor ) ) : ?>
	.button.back:before, 
	button.button.back:before, 
	a.button.back:before, 
	.btn.back:before, 
	button.btn.back:before, 
	a.btn.back:before {
		background-color: <?php echo esc_attr( $btn_alt_bghovercolor ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $btn_alt_hovercolor ) ) : ?>
	.button.back:hover, 
	button.button.back:hover, 
	a.button.back:hover, 
	.btn.back:hover, 
	button.btn.back:hover, 
	a.btn.back:hover {
		color: <?php echo esc_attr( $btn_alt_hovercolor ); ?>;
	}
	<?php endif; ?>
	/*End Buttons Options*/

	/*Begin Breadcrumbs Options*/
	<?php if ( ! empty( $brc_text_color1 ) ) : ?>
	.crumbs a {
		color: <?php echo esc_attr( $brc_text_color1 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $brc_text_color2 ) ) : ?>
	.crumbs span,
	.content .crumbs span {
		color: <?php echo esc_attr( $brc_text_color2 ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $brc_sep_color ) ) : ?>
	.crumbs i {
		color: <?php echo esc_attr( $brc_sep_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $brc_font_size ) ) : ?>
	@media (min-width: 993px) {
		.crumbs a,
		.crumbs span,
		.content .crumbs span {
			font-size: <?php echo esc_attr( $brc_font_size ); ?>px;
		}
	}
	<?php endif; ?>
	<?php if ( ! empty( $brc_font_weight ) ) : ?>
	.crumbs {
		font-weight: <?php echo esc_attr( $brc_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $brc_font_family ) ) : ?>
	.crumbs {
		font-family: '<?php echo esc_attr( $brc_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( isset( $brc_letter_spacing ) && $brc_letter_spacing != '' ) : ?>
	@media (min-width: 993px) {
		.crumbs {
			letter-spacing: <?php echo esc_attr( $brc_letter_spacing ); ?>px;
		}
	}
	<?php endif; ?>
	/*End Breadcrumbs Options*/

	/*Begin Preloader Options*/
	<?php if ( ! empty( $preloader ) ) : ?>
	.page-loader {
		display: none !important;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_bgcolor ) ) : ?>
	.page-loader {
		background-color: <?php echo esc_attr( $prl_bgcolor ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_txt_color ) ) : ?>
	.page-loader .txt {
		color: <?php echo esc_attr( $prl_txt_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_spn_color ) ) : ?>
	.page-loader .spinner {
		background-color: <?php echo esc_attr( $prl_spn_color ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_font_size ) ) : ?>
	.page-loader .txt {
		font-size: <?php echo esc_attr( $prl_font_size ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_font_weight ) ) : ?>
	.page-loader .txt {
		font-weight: <?php echo esc_attr( $prl_font_weight ); ?>;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_font_family ) ) : ?>
	.page-loader .txt {
		font-family: '<?php echo esc_attr( $prl_font_family['font_name'] ); ?>';
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_letter_spacing ) ) : ?>
	.page-loader .txt {
		letter-spacing: <?php echo esc_attr( $prl_letter_spacing ); ?>px;
	}
	<?php endif; ?>
	<?php if ( ! empty( $prl_text_transform ) ) : ?>
	.page-loader .txt {
		text-transform: <?php echo esc_attr( $prl_text_transform ); ?>;
	}
	<?php endif; ?>
	/*End Preloader Options*/
</style>

<?php
}
add_action( 'wp_head', 'samantha_skin', 10 );

}
